Skip to main content
GET
Get an iconographic symbol by name

Authorizations

x-api-key
string
header
required

Pass a static API key for every request, provided by your customer support.

Path Parameters

iconName
string
required

Name of the icon to retrieve.

Required string length: 1 - 100

Query Parameters

fallbackTo
string

Fallback icon name to use if the requested icon is not found.

Required string length: 1 - 100
contentType
enum<string>
default:image/png

Content type for the image endpoint. Defaults to 'image/png'. Use 'application/json' to get base64 encoded image.

Available options:
image/png,
application/json

Response

Iconographic symbol by name response

success
boolean
required

Indicates if the asset was successfully retrieved.

data
string
required

Base64 encoded asset data.